Bug 470319 - kdesvn-1.2.1-1.fc9.x86_64 is missing the plugin for Quanta+
kdesvn-1.2.1-1.fc9.x86_64 is missing the plugin for Quanta+
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kdesvn (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-06 12:35 EST by Anthony Messina
Modified: 2008-11-06 12:45 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-06 12:45:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anthony Messina 2008-11-06 12:35:42 EST
Using kdesvn-1.2.1-1.fc9.x86_64 after the last upgrade, I am no longer able to use the integrated SVN features in Quanta+.

It appears as though the updated package is missing the libkdesvnpart.la file.

While the main page for kdesvn development (http://kdesvn.alwins-world.de/) speaks of the port to kde4, offering some way to keep the kdesvn functions in Quanta+ would be beneficial at least until a Quanta+ port to kde4 or replacement is made.
Comment 1 Kevin Kofler 2008-11-06 12:45:52 EST
Quanta is a KDE 3 app, so it can't embed KParts from a KDE 4 version of kdesvn.

Reverting kdesvn to a KDE 3 version would "fix" this, but it would break integration with e.g. Konqueror which the upgrade to a KDE 4 version restores, so I don't think it's a good solution.

I think you'll just have to live without SVN integration in Quanta for now. (CVS integration through Cervisia has always been disabled in F9's Quanta for essentially the same reason.)

Note You need to log in before you can comment on or make changes to this bug.